%script example.m

seqfile='MC0.seq';
nrep=50;

s=readfasta(seqfile)
c=usm_make(s.sequence{1});
load sig2;
H2=renyi2usm_fast(c,sig2,s.legend{1});

N=length(s.sequence{1});

%SIMULATIONS
disp('Begin simulations...');
SIM=simul_renyi_usm2(N,sig2,nrep);
disp('...simulations ended');
med=median(SIM,1);

%PLOT H2
figure;
plot(log(sig2),H2,'d-',log(sig2),med','.-');
title(['Renyi quadratic entropy for ' s.legend{1} ' N=' num2str(N) ' nrep=' num2str(nrep')]);
xlabel('ln\sigma^2');ylabel('H_2');grid;
legend({'H2' 'simul'},4);
saveas(gcf,['H2' s.legend{1} '.fig'],'fig');
disp(['### FILE created: ' ['H2' s.legend{1} '.fig']]);

step=log(10)*0.25

%PLOT DH2
figure

plot(log(sig2(1:end-1)),diff(H2)/step,'d-',log(sig2(1:end-1)),diff(med)'/step,'.-');
title(['Derivative of Renyi quadratic entropy for ' s.legend{1} ' N=' num2str(N) ' nrep=' num2str(nrep')]);
xlabel('ln\sigma^2');ylabel('\DeltaH_2');grid;
legend({'H2' 'simul'},4);
saveas(gcf,['dH2' s.legend{1} '.fig'],'fig');
disp(['### FILE created: ' ['dH2' s.legend{1} '.fig']]);