function c=randUSM(N,opt)

%RANDUSM random USM coordinates
% function c=randUSM(N)
% generates N random USM 4D coordinates c, corresponds to random sequence of
% length N
% N - sequence length
% c - (Nx4) matrix, each row cooresponds to a symbol
% opt - 1(default): first coordinate in square center (0.5)^N (default); 0-random 
% Susana Vinga, 2004-02-12; 2004-04-20 add option for 1st coordinate

if nargin<2
    opt=1
end

if opt
    c=0.5*ones(1,4);
else
    c=rand(1,4);
end

t=floor(4*rand(N,1)+1);
Y=sparse((1:N)',t,1,N,4);
Y=full(Y);
for i=1:N;
    c=[c;1/2*c(i,:)+1/2*Y(i,:)];
    %c=[c;1/2*c(i,:)+1/2*round(rand(1,4))];MAL!!!
end;
c=c(2:end,:);
