function c=usm_make(seq);

% function c=usm_make(seq);
% Creates USM coordinates of a DNA sequence
% seq -> DNA sequence
% c -> USM coordinastes Nx4
% see also CGR_make
% Susana Vinga, 2004-03-18

N=length(seq);
[B,I,J]=unique(seq);    %isto se tiverem presentes todos os simbolos!
Y=[0,0;0,1;1,0;1,1];    %ACGT order A(0,0) C(0,1) G(1,0) T(1,1)
Y=[1,0,0,0; 0,1,0,0; 0,0,1,0; 0,0,0,1];    %ACGT order A(1,0,0,0) C(0,1,0,0) G(0,0,1,0) T(0,0,0,1)
%construir Y dependendo do resultado de B
if length(B)<4  %missing symbols
    ix=[];
    for i=1:length(B);
        ix=[ix;findstr(B(i),'ACGT')];   %correct order
    end
%change Y
Y=Y(ix,:);
end

X=Y(J,:);
%c=[1/2,1/2];
c=[1/2,1/2,1/2,1/2];
%***LENTO
for i=1:N
    c=[c;1/2*c(i,:)+1/2*X(i,:)];
end
c=c(2:end,:);
%***

% %***RAPIDO
% fid=fopen('lix.txt','w');
% for i=1:N
%     c=1/2*c+1/2*X(i,:);
%     %fprintf(fid,'%d %d\n',c);
%     fprintf(fid,'%.17d %.17d\n',c); %suficiente para ficar igual ao outros, alias, 16chega!
% end
% fclose(fid);
% c=load('lix.txt');
% %***

% %para fazer o grafico de examplePT.fig
% figure
% plot(cT(:,1),cT(:,2),'.')
% hold on
% plot(cP(:,1),cP(:,2),'.r')
% hold on
% plot([0,1],0.5*[1,1],'g')
% plot([0.5,0.5],[0,1],'g')
% plot([0,1],0.75*[1,1],'y')
% plot([0.25,0.25],[0,1],'y')
% grid
% gname
% axis equal
% axis([0,1,0,1])
% set(gca,'ytick',0:.125:1,'xtick',0:.125:1);